Cupti: CUpti_ActivitySynchronization Struct Reference

# CUpti_ActivitySynchronization Struct Reference
[CUPTI Activity API]

The activity record for synchronization management. More...

## Data Fields
uint32_t | contextId
uint32_t | correlationId
uint32_t | cudaEventId
uint64_t | end
CUpti_ActivityKind | kind
uint64_t | start
uint32_t | streamId
CUpti_ActivitySynchronizationType | type

## Detailed Description

This activity is used to track various CUDA synchronization APIs. (CUPTI_ACTIVITY_KIND_SYNCHRONIZATION).

## Field Documentation

uint32_t CUpti_ActivitySynchronization::contextId

The ID of the context for which the synchronization API is called. In case of context synchronization API it is the context id for which the API is called. In case of stream/event synchronization it is the ID of the context where the stream/event was created.

uint32_t CUpti_ActivitySynchronization::correlationId

The correlation ID of the API to which this result is associated.

uint32_t CUpti_ActivitySynchronization::cudaEventId

The event ID for which the synchronization API is called. A CUPTI_SYNCHRONIZATION_INVALID_VALUE value indicate the field is not applicable for this record. Not valid for cuCtxSynchronize, cuStreamSynchronize.

uint64_t CUpti_ActivitySynchronization::end

The end timestamp for the function, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the function.

CUpti_ActivityKind CUpti_ActivitySynchronization::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_SYNCHRONIZATION.

uint64_t CUpti_ActivitySynchronization::start

The start timestamp for the function, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the function.

uint32_t CUpti_ActivitySynchronization::streamId

The compute stream for which the synchronization API is called. A CUPTI_SYNCHRONIZATION_INVALID_VALUE value indicate the field is not applicable for this record. Not valid for cuCtxSynchronize, cuEventSynchronize.

CUpti_ActivitySynchronizationType CUpti_ActivitySynchronization::type

The type of record.